Subject: Watt-Evans and Friesner: Split Heirs

From: [email-masked]
Date: 28 Aug 1994 10:39:09 -0400

I can't properly review "Split Heirs", by Lawrence Watt-Evans and Esther
Friesner, because I couldn't read past the first forty-odd pages.  It's
one bad joke after another.  Obviously it's a humor which appeals to some
people, because I've heard good things about this book, but three chapters
about a kingdom in which nobody has the brains of a radish were all I
could handle.

-----
Dani Zweig
[email-masked]  [email-masked]

   'T is with our judgements as our watches, none
   Go alike, yet each believes his own
		--Alexander Pope